%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Cache_Lite

Summary:        Fast and Safe little cache system for PHP
Summary(fr):    Méthode de cache rapide et sécurisée pour PHP
Name:           php-pear-Cache-Lite
Version:        1.7.7
Release:        1%{?dist}
License:        PHP
Group:          Development/Libraries
Source:         http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

URL:            http://pear.php.net/package/Cache_Lite

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.5.4
Requires:       php-pear(PEAR) >= 1.5.4
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
This package is a little cache system optimized for file containers. It is
fast and safe (because it uses file locking and/or anti-corruption tests).


%description -l fr
Cette extension fournit une méthode de petit cache optimisé pour les fichiers.
Elle est rapide et sécurisée (parce qu'elle utilise les verrous de fichiers 
et/ou des tests anti-corruption).


%prep
%setup -c -q
%{_bindir}/php -n %{SOURCE2} package.xml >CHANGELOG
mv package.xml %{pear_name}-%{version}/%{pear_name}.xml


%build
# Empty build section


%install
rm -rf %{buildroot} docdir

pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{pear_name}.xml %{buildroot}%{pear_xmldir}

popd
# Sort out documentation
%{__mkdir} docdir
mv %{buildroot}%{pear_docdir}/%{pear_name}/* docdir


%clean
rm -rf %{buildroot}


%check
lst=$(find %{buildroot}%{pear_phpdir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

# For documentation purpose only
# After install, as root :
# pear run-tests -p Cache_Lite
# Should return 
# 19 PASSED TESTS
# 0 SKIPPED TESTS


%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG docdir/*
%{pear_phpdir}/Cache
%{pear_testdir}/%{pear_name}
%{pear_xmldir}/%{pear_name}.xml


%changelog
* Sun Mar 08 2009 Remi Collet <Fedora@FamilleCollet.com> 1.7.7-1
- update to 1.7.7 (bugfix)

* Thu Jan 29 2009 Remi Collet <Fedora@FamilleCollet.com> 1.7.6-1
- now Requires php-pear(PEAR) >= 1.5.4

* Sat Jan 09 2009 Remi Collet <Fedora@FamilleCollet.com> 1.7.5-1
- update to 1.7.5

* Mon Jun 09 2008 Remi Collet <Fedora@FamilleCollet.com> 1.7.4-1
- update to 1.7.4

* Tue Apr 15 2008 Remi Collet <Fedora@FamilleCollet.com> 1.7.3-1
- initial RPM

